<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83aFormNuevaIncidencias"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83aNuevaIncidenciasBean" type="w83a.w83aBeans.W83aNuevaIncidenciasBean"/>		
				<form-property name="w83aprovincia" type="java.lang.String"/>
				<form-property name="w83amunicipio" type="java.lang.String" />
				<form-property name="camino" type="java.lang.String"/>
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">				   
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.incidencias"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.incidencias.filtro"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="codSelec" type="java.lang.String"/>	
				<form-property name="w83aListaDelegadosIncidencias" type="java.util.List"/>
				<form-property name="w83aDelegadosBean" type="w83a.w83aBeans.W83aDelegadosBean"/>
				<form-property name="w83aDocBean" type="w83a.w83aBeans.W83aDocBean"/>	
				<form-property name="w83aListaDnis" type="java.util.List"/>
				<form-property name="w83aHashMapSindicatoEscrutinio" type="java.util.HashMap" />
				<form-property name="idDocumento" type="java.lang.String"/>
				<form-property name="w83aRegManual" type="java.lang.String"/>
				<form-property name="tamanyoListaResults" type="java.lang.String"/>
				<form-property name="w83aprovincia" type="java.lang.String"/>
				<form-property name="w83amunicipio" type="java.lang.String" />
				<form-property name="w83aCentroTrabajoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
				<form-property name="w83aCentroTrabajoNuevoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
				<form-property name="w83aprovinciac" type="java.lang.String"/>
				<form-property name="w83amunicipioc" type="java.lang.String" />
				<form-property name="w83aNuevaIncidenciasBean" type="w83a.w83aBeans.W83aNuevaIncidenciasBean"/>
<!--				Variables para ir a Actas-->
				<form-property name="w83aSubOpFlag" type="java.lang.String" initial="incidencias"/>
				<form-property name="camino" type="java.lang.String"/>
				<form-property name="w83aListaActas" type="java.util.List"/>
				<form-property name="w83aMapaActas" type="java.util.HashMap" />
<!--				Fin Variables para ir a Actas-->
				<form-property name="w83aNuevaActaBean" type="w83a.w83aBeans.W83aActasBean"/>
				<form-property name="w83aDetalleActaTempBean" type="w83a.w83aBeans.W83aActasBean"/>
				<form-property name="guardado" type="java.lang.String" initial="false"/>
				<form-property name="tramite" type="java.lang.String"/>
				<form-property name="w83aDocumentacionBean" type="w83a.w83aBeans.W83aDocumentacionBean"/>
				<form-property name="codSelecEdicion" type="java.lang.String"/>	
				<form-property name="codSelecCentro" type="java.lang.String"/>
				<form-property name="numActaTerritorioSeleccionada" type="java.lang.String"/>
			    <form-property name="numActaAnyoSeleccionada" type="java.lang.String"/>
			    <form-property name="numActaNumeroSeleccionada" type="java.lang.String"/>
			    <form-property name="numPreavisoTerritorioSeleccionada" type="java.lang.String"/>
			    <form-property name="numPreavisoAnyoSeleccionada" type="java.lang.String"/>
			    <form-property name="numPreavisoNumeroSeleccionada" type="java.lang.String"/>
			    <form-property name="tipoBusquedaSeleccionada" type="java.lang.String"/>
				<form-property name="historico" type="java.lang.String"/>
				<form-property name="fechaEleccion" type="java.lang.String"/>
				<form-property name="migas" type="java.lang.String" initial ="inicioportal.inicio.documentacionelectoral.documincid"/>
				<form-property name="w83aMapaPreavisos" type="java.util.HashMap" />
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<action
				path ="/w83aInicioIncidencias" forward="paginaIncidencias"/>
		<action
				path ="/w83aInicioEdicionIncidenciasPagina" forward="paginaEdicionIncidenciasActasMenu"/>
		<action
				path ="/w83aInicioNuevaIncidencias" forward="paginaNuevaIncidenciasMenu"/>
		<!-- Operaciones de Paso -->
		<action path="/w83aIrAInicioIncidenciasOP" scope="request" type="w83a.w83aOperacionesPaso.w83aIncidencias.W83aIncidenciasInicioAction" 
			 validate="false">
			<forward name="ok" path="/w83aInicioIncidencias.do"/>
			<forward name="error" path="/w83aInicioIncidencias.do"/>
		</action>
		<action path="/w83aIrANuevaIncidenciasOP" scope="request" type="w83a.w83aOperacionesPaso.w83aIncidencias.W83aIncidenciasIraNuevoAction" 
			 validate="false">
			<forward name="ok" path="/w83aInicioNuevaIncidencias.do"/>
			<forward name="error" path="/w83aInicioNuevaIncidencias.do"/>
		</action>
		<action path="/w83aIrANuevaIncidenciasMenuOP" scope="request" type="w83a.w83aOperacionesPaso.w83aIncidencias.W83aIncidenciasIraNuevoMenuAction" 
			 validate="false">
			<forward name="ok" path="/w83aInicioNuevaIncidencias.do"/>
			<forward name="error" path="/w83aInicioNuevaIncidencias.do"/>
		</action>
		

		
		<!--	DISPATCHES-->
		<action
				path="/w83aDispatchNueva"
				name="w83aFormNuevaIncidencias"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83acomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.cancelar"
					path="/w83aInicioNuevaIncidencias.do"/>
		</action>
		<action
				path="/w83aDispatchEdicion"
				name="w83aFormNuevaIncidencias"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83acomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83aDispatchVueltaIncidencias.do"/>
				<forward
					name="volverDocumentacion"
					path="/w83aVolverDocumentacion.do"/>
				<forward
					name="volverPreavisos"
					path="/w83aVolverPreavisos.do"/>
				<forward
					name="volverActas"
					path="/w83aVolverActas.do"/>
		</action>
		<action
				path="/w83aDispatchVueltaIncidencias"
				scope="request"
				parameter="w83aSubOpFlag"
				type="w83a.w83aUtilidades.W83aDispatchValueContexto">
				<forward
					name="actas"
					path="/w83aSubOpIncidenciasEnd.do"/>
				<forward
					name="busqueda"
					path="/w83aSubOpIncidenciasEnd.do"/>
		</action>
		<action
				path="/w83aInicioEdicionIncidencias"
				scope="request"
				parameter="w83aSubOpFlag"
				type="w83a.w83aUtilidades.W83aDispatchValueContexto">
				<forward
					name="actas"
					path="/w83aInicioEdicionIncidenciasPagina.do"/>
				<forward
					name="busqueda"
					path="/w83aInicioEdicionIncidenciasPagina.do"/>
		</action>
		
		<action path="/w83aTablaDelegadosIncidenciasOP" scope="request" type="w83a.w83aOperacionesPaso.w83aIncidencias.W83aTablaDelegadosIncidenciasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aTablaDelegadosIncidenciasOutOP.do"/>
			<forward name="find" path="/w83aBusqDelegadosIncidencias.do"/>
			<forward name="outOP" path="/w83aTablaDelegadosIncidenciasOutOP.do"/>
			<forward name="error" path="/w83aInicioBusquedaIncidencias.do"/>
		</action>
		
		<action path="/w83aTablaDelegadosIncidenciasOutOP" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aIncidencias.W83aTablaDelegadosIncidenciasOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83aCargaDoc" 
		scope="request" type="w83a.w83aOperacionesPaso.w83aIncidencias.W83aCargaDocOPAction" 
			 validate="false">
		</action>
		<action path="/w83aObtenerDocumentoOP" scope="request" type="w83a.w83aOperacionesPaso.w83aComun.W83aDescargarDocumentoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aDescargarDocumentoOI.do"/>
			<forward name="error" path="/w83aGenericoOutOP.do"/>
		</action>
		
				
		<action path ="/w83aDescargarDocumentoOI" 
			 parameter="w83aDescargarDocumentoIncidenciasOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aDescargarDocumentoOutOP.do" />
					<forward name="error" path="/w83aGenericoOutOP.do" />
		</action>
		
				
		<action path="/w83aDescargarDocumentoOutOP" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aComun.W83aDescargarDocumentoOutOPAction" 
			 validate="false">
		</action>	
		<action path="/w83aRecuperarEscrutinioDiferenciasOPAction" scope="request" type="w83a.w83aOperacionesPaso.w83aIncidencias.W83aRecuperarEscrutinioDiferenciasOPAction" 
			 validate="false">
			<forward name="busqueda" path="/w83aRecuperarEscrutinioDiferencias.do"/>
			<forward name="vuelta" path="/w83aRecuperarEscrutinioDiferenciasOutOPAction.do"/>
		</action>
				
		<action path="/w83aRecuperarEscrutinioDiferenciasOutOPAction" scope="request" type="w83a.w83aOperacionesPaso.w83aIncidencias.W83aRecuperarEscrutinioDiferenciasOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83aGenericoOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aIncidencias.W83aGenericoOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83aGenericoAdjuntarOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aGenericoAdjuntarOutOPAction" 
			 validate="false">
		</action>		
		<action path="/w83aGenNumRegistroOutOP" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aComun.W83aDarAltaRegistroNuevoNumeroEntradaDelegacionOutAction" 
			 validate="false">
		</action>		
		
		<action path="/W83aGenericoActasIncidenciasOPAction" 
			scope="request" type="w83a.w83aOperacionesPaso.w83aIncidencias.W83aGenericoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aDetalleIncidencia.do"/>
		</action>
		<action path="/w83aTablaCampoSubsanacionOP" scope="request" type="w83a.w83aOperacionesPaso.w83aIncidencias.W83aTablaIncidenciasSubsanacionOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83aTablaIncidenciasSubsanacionDelegadosOP" scope="request" type="w83a.w83aOperacionesPaso.w83aIncidencias.W83aTablaIncidenciasSubsanacionDelegadosOutOPAction" 
			 validate="false">
		</action>
			<action path="/w83bCargaDoc" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bCargaDocOPAction" 
			 validate="false">
			</action>
<!--		OPERACIONES INTERNAS-->
		 <action path ="/w83aBusqDelegadosIncidencias" 
			 parameter="w83aBusqDelegadosIncidenciasOI" 
			 validate="false" 
			 input="/w83aInicioNuevaIncidencias.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aTablaDelegadosIncidenciasOutOP.do" />
					<forward name="error" path="/w83aInicioNuevaIncidencias.do" />
		</action>
		<action path ="/w83aRecuperarEscrutinioDiferencias" 
			 parameter="w83aRecuperarEscrutinioDiferenciasOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aRecuperarEscrutinioDiferenciasOutOPAction.do" />
					<forward name="error" path="/w83aGenericoErrorOutOP.do" />
		</action>
		<action path ="/w83aDetalleIncidencia" 
			 parameter="w83aDetalleIncidenciaOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			  validate="false" 
			 input="/w83aInicioBusquedaIncidencias.do" 
			 scope="request">
					<forward name="ok" path="/w83aInicioEdicionIncidencias.do" />
					<forward name="error" path="/w83aGenericoErrorOutOP.do" />
		</action>
		<!-- SUB-OPERACIONES -->
		<action path="/w83aSubOpIncidenciasInit" scope="request" forward="/W83aGenericoActasIncidenciasOPAction.do">
			<set-property property="subOp" value="init" />
		</action>
		
		<action path="/w83aSubOpIncidenciasEnd" scope="request" forward="/w83aSubOpIncidenciasInit.do">
			<set-property property="subOp" value="end" />
		</action>
		<!-- FIN SUB-OPERACIONES -->
		<action path="/w83aVolverDocumentacion" parameter="/documentacionOP/w83aSubOpDocumentacionInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/incidenciasOP/w83aInicioIncidencias.do" />
		</action>
		<action path="/w83aVolverPreavisos" parameter="/preavisosOP/w83aSubOpPreavisosDeImpugInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/incidenciasOP/w83aInicioIncidencias.do" />
		</action>
		<action path="/w83aVolverActas" parameter="/actasOP/w83aSubOpActasDeImpugInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/incidenciasOP/w83aInicioIncidencias.do" />
		</action>
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83a.xml,
											/WEB-INF/validators-config/mantenimientos/validation-incidencias.xml"/>
	    <set-property property="i18nKey" value="w83acomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>